<?php
$pd_reportlist[] = array("fullrpt", "l", "mm", LAN_phonedir_66);
// Create a new class extending fpdf to have custom header and footer for the page
if (class_exists("UFPDF"))
{
    class PDF extends UFPDF
    {
        // Page header
        function Header()
        {
            global $pd_title, $pdir_selection, $pdir_siteurl, $pref;
            // Logo
            if (file_exists("images/logo_pd.jpg"))
            {

                $this->Image("images/logo_pd.jpg", 10, 8, 40, "", "", $pdir_siteurl);
            }
            // Arial bold 15
            $this->SetFont('Arial', 'B', 15);
            // Move to the right
            $this->Cell(80);
            // Title
            $this->Cell(70, 10, $pd_title, 1, 1, 'C');
            // $this->Ln(10);
            $this->Cell(80);
            $this->SetFont('Arial', 'B', 8);
            $this->Cell(70, 10, $pdir_selection, 0, 1, 'C');
            // Line break
            $this->SetFont('Times', 'b', 9);
            $this->Cell(25, 6, LAN_phonedir_41, 0, 0);
            $this->Cell(25, 6, LAN_phonedir_42, 0, 0);
            $this->Cell(25, 6, LAN_phonedir_30, 0, 0);
            $this->Cell(25, 6, LAN_phonedir_32, 0, 0);
            $this->Cell(25, 6, LAN_phonedir_4, 0, 0);
            $this->Cell(55, 6, LAN_phonedir_5, 0, 0);
            if ($pref['phonedir_usejob'] == 1)
            {
                $this->Cell(30, 6, LAN_phonedir_7, 0, 0);
            }

            if ($pref['phonedir_usedept'] == 1)
            {
                $this->Cell(30, 6, LAN_phonedir_8, 0, 0);
            }
            $this->Cell(35, 6, LAN_phonedir_67, 0, 1);
            if ($pref['phonedir_usedept'] != 1 || $pref['phonedir_usejob'] != 1)
            {
                $pad = $pad-30;
            }
                        $this->Line(0, 35, 300, 35);

        }
        // Page footer
        function Footer()
        {
            // Position at 1.5 cm from bottom
            $this->SetY(-15);
            // Arial italic 8
            $this->SetFont('Arial', 'I', 8);
            // Page number
            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }
    }
}
if (!function_exists("fullrpt"))
{
    function fullrpt()
    {
        global $pdf, $sql, $pdir_sysarg, $tp, $pref;
        // Do a basic 2 column report in portrait
        $pdf->SetFont('Times', '', 8);
        $pdir_sysarg;
        $sql->db_Select_gen($pdir_sysarg);
        while ($pdir_row = $sql->db_Fetch())
        {
            extract($pdir_row);
            $pdf->Cell(25, 5, $pd_last_name, 0, 0);
            $pdf->Cell(25, 5, $pd_first_name, 0, 0);
            $pdf->Cell(25, 5, $pd_work_phone, 0, 0);
            $pdf->Cell(25, 5, $pd_centrex, 0, 0);
            $pdf->Cell(25, 5, $pd_mobile, 0, 0);
            $pdf->Cell(55, 5, $pd_email, 0, 0);
            $pad = 180;
            if ($pref['phonedir_usedept'] == 1)
            {
                $pad = $pad + 30;
                $pdf->Cell(30, 5, $pd_dept_name, 0, 0);
            }
            if ($pref['phonedir_usejob'] == 1)
            {
                $pad = $pad + 30;
                $pdf->Cell(30, 5, $pd_job_title, 0, 0);
            }
            if ($pref['phonedir_usesite'] == 1)
            {
                $pdf->Cell(35, 5, $pd_site_name, 0, 1);
            }
            else
            {
                if ($pref['phonedir_usedept'] != 1 || $pref['phonedir_usejob'] != 1)
                {
                    $pdf->Cell(35, 5, $pd_address1, 0, 0);
                    $pdf->Cell(35, 5, $pd_address2, 0, 1);
                    $pdf->cell($pad, 5, " ", 0, 0);
                    $pdf->Cell(35, 5, $pd_town, 0, 0);
                    $pdf->Cell(35, 5, $pd_county, 0, 1);
                    $pdf->cell($pad, 5, " ", 0, 0);
                    $pdf->Cell(35, 5, $pd_postcode, 0, 0);
                    $pdf->Cell(35, 5, $pd_country, 0, 1);
                }
                else
                {
                    $pdf->Cell(35, 5, $pd_address1, 0, 1);
                    $pdf->cell($pad, 5, " ", 0, 0);
                    $pdf->Cell(35, 5, $pd_address2, 0, 1);
                    $pdf->cell($pad, 5, " ", 0, 0);
                    $pdf->Cell(35, 5, $pd_town, 0, 1);
                    $pdf->cell($pad, 5, " ", 0, 0);
                    $pdf->Cell(35, 5, $pd_county, 0, 1);
                    $pdf->cell($pad, 5, " ", 0, 0);
                    $pdf->Cell(35, 5, $pd_postcode, 0, 1);
                    $pdf->cell($pad, 5, " ", 0, 0);
                    $pdf->Cell(35, 5, $pd_country, 0, 1);
                }
            }
        }
    }
}

?>