<?php
$pd_reportlist[] = array("twocol", "p", "mm", LAN_phonedir_65);
// Create a new class extending fpdf to have custom header and footer for the page
if (class_exists("UFPDF"))
{
    class PDF extends UFPDF
    {
        // Page header
        function Header()
        {
            global $pd_title, $pdir_selection, $pdir_siteurl;
            // Logo
            if (file_exists("images/logo_pd.jpg"))
            {
                $this->Image("images/logo_pd.jpg", 10, 8, 40, "", "", $pdir_siteurl);
            }
            // Arial bold 12
            $this->SetFont('Arial', 'B', 12);
            // Move to the right
            $this->Cell(80);
            // Title
            $this->Cell(70, 10, $pd_title, 1, 1, 'C');
            // $this->Ln(10);
            $this->Cell(80);

            $this->SetFont('Arial', 'B', 8);

            $this->Cell(70, 10, $pdir_selection, 0, 1, 'C');
            // Line break
            // $this->Line(0, 30, 300, 30);
            // $this->Ln(15);
            $this->SetFont('Times', 'b', 9);

            if ($_GET['pdir_extn'] == 'y')
            {
                $this->Cell(50, 6, LAN_phonedir_9, 0, 0);
                $this->Cell(50, 6, LAN_phonedir_20, 0, 0);
                $this->Cell(50, 6, LAN_phonedir_9, 0, 0);
                $this->Cell(20, 6, LAN_phonedir_20, 0, 1);
            }
            else
            {
                $this->Cell(50, 6, LAN_phonedir_9, 0, 0);
                $this->Cell(50, 6, LAN_phonedir_19, 0, 0);
                $this->Cell(50, 6, LAN_phonedir_9, 0, 0);
                $this->Cell(20, 6, LAN_phonedir_19, 0, 1);
            }
            $this->SetLineWidth(0.2);
            $this->Line(0, 35, 300, 35);
            $this->Line(100, 35, 100, 250);
        }
        // Page footer
        function Footer()
        {
            // Position at 1.5 cm from bottom
            $this->SetY(-15);
            // Arial italic 8
            $this->SetFont('Arial', 'I', 8);
            // Page number
            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }
    }
}
if (!function_exists("twocol"))
{
    function twocol()
    {
        global $pdf, $sql, $pdir_sysarg;
        // Do a basic 2 column report in portrait
        $pdf->SetFont('Times', '', 9);
        $pdir_col = true;
        $sql->db_Select_gen($pdir_sysarg);
        while ($pdir_row = $sql->db_Fetch())
        {
            extract($pdir_row);
            if ($_GET['pdir_extn'] == 'y')
            {
                if ($pdir_col)
                {
                    $pdf->Cell(50, 5, $pd_last_name . ", " . $pd_first_name, 0, 0);
                    $pdf->Cell(50, 5, $pd_centrex, 0, 0);
                    $pdir_col = !$pdir_col;
                }
                else
                {
                    $pdf->Cell(50, 5, $pd_last_name . ", " . $pd_first_name, 0, 0);
                    $pdf->Cell(20, 5, $pd_centrex, 0, 1);
                    $pdir_col = !$pdir_col;
                }
            }
            else
            {
                if ($pdir_col)
                {
                    $pdf->Cell(50, 5, $pd_last_name . ", " . $pd_first_name, 0, 0);
                    $pdf->Cell(50, 5, $pd_work_phone, 0, 0);
                    $pdir_col = !$pdir_col;
                }
                else
                {
                    $pdf->Cell(50, 6, $pd_last_name . ", " . $pd_first_name, 0, 0);
                    $pdf->Cell(20, 6, $pd_work_phone, 0, 1);
                    $pdir_col = !$pdir_col;
                }
            }
        }
    }
}

?>